Package org.eclipse.cdt.core.templateengine.process

## Class ProcessArgument

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.ProcessArgument

    public class ProcessArgument
    extends Object

ProcessArgument class responsible for constructing process Arguments by taking info from Template.

### Constructor Summary

Constructors
`ProcessArgument​(TemplateCore template, ProcessParameter param)` Creates an external argument.
`ProcessArgument​(TemplateCore template, Element elem)` constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `areAllMacrosExpandable()`
`ProcessArgument[][]` `getComplexArrayValue()` Returns Process Arguments
`ProcessArgument[]` `getComplexValue()` Returns Process Arguments
`String` `getFirstNonExpandableMacro()` Returns the First Non-expandable Macro.
`Set<String>` `getMacros()`
`String` `getName()` Returns Parameter name.
`byte` `getParameterType()` Returns the Parameter Type
`String[]` `getSimpleArrayValue()` Returns the Simple Array Values.
`String` `getSimpleValue()` Returns the Simple Value.
`boolean` `isOfParameterType​(ProcessParameter param)` Check for parameter type.
`boolean` `isResolved()` Checks whether the process argument has resolved.
`void` `resolve()` resolve
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessArgument

    public ProcessArgument​(TemplateCore template,
                           Element elem)

constructor

Parameters:
  `template` -
  `elem` -

#### ProcessArgument

    public ProcessArgument​(TemplateCore template,
                           ProcessParameter param)

Creates an external argument. This is not read from the template descriptor.

Parameters:
  `param` - The ProcessParameter whose replacement this argument is in the Process call

### Method Detail

#### getName

    public String getName()

Returns Parameter name.

Returns:
  parameter name as String

#### getParameterType

    public byte getParameterType()

Returns the Parameter Type

Returns:
  the Parmeter Type as String

#### getSimpleValue

    public String getSimpleValue()

Returns the Simple Value.

Returns:
  String,

#### getSimpleArrayValue

    public String[] getSimpleArrayValue()

Returns the Simple Array Values.

Returns:
  String Array.

#### getComplexValue

    public ProcessArgument[] getComplexValue()

Returns Process Arguments

#### getComplexArrayValue

    public ProcessArgument[][] getComplexArrayValue()

Returns Process Arguments

#### isOfParameterType

    public boolean isOfParameterType​(ProcessParameter param)

Check for parameter type.

Parameters:
  `param` -
Returns:
  boolean

#### areAllMacrosExpandable

    public boolean areAllMacrosExpandable()

Returns:
  true if All macros are Expandable.

#### getFirstNonExpandableMacro

    public String getFirstNonExpandableMacro()

Returns the First Non-expandable Macro.

#### getMacros

    public Set<String> getMacros()

Returns:
  the macros defined in the context of this argument

#### resolve

    public void resolve()

resolve

#### isResolved

    public boolean isResolved()

Checks whether the process argument has resolved.

Returns:
  boolean, true if resolved.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`